# -*- encoding : utf-8 -*-

class SurveySetsController < ApplicationController
  
  http_basic_authenticate_with :name => "stats", :password => "stats", :only => [:edit, :show]
  
  def index
   
  end
  def new 
    
    @survey = SurveyType.find_by_slug(params[:slug])
    
    SurveyType.destroy_all
    @survey = SurveyType.create(:name => "Votre avis sur les sorties du Pic Vert", :slug => "08-12-avis-sorties", :description => "Ce petit questionnaire nous permettra de mieux connaître vos attentes et de mieux y répondre.")
    
    @survey.items.build(:questions_type => 1, :title => "Avez-vous déjà participé à une sortie organisée par Le Pic Vert ?", :item_type => 1)
    
    item = @survey.items.build(:questions_type => 3, :title => "A quelle moment préfèreriez-vous participer à une sortie ?", :item_type => 1)
    item.answers.build(:label_text => "le matin", :field_type => 1)
    item.answers.build(:label_text => "l’après midi", :field_type => 1)
    item.answers.build(:label_text => "en semaine", :field_type => 1)
    item.answers.build(:label_text => "le weekend", :field_type => 1)
  

    
    item = @survey.items.build(:questions_type => 3, :title => "Quelle est la durée idéale d’une sortie pour vous ?", :item_type => 1)
    item.answers.build(:label_text => "une demie journée", :field_type => 1)
    item.answers.build(:label_text => "une journée", :field_type => 1)
    item.answers.build(:label_text => "voyage organisé sur un weekend ou plusieurs jours", :field_type => 1)

  

    
    
    
    @survey.items.build(:questions_type => 1, :title => "La fréquence actuelle des sorties vous convient-elle ?", :item_type => 1)

    
    
    item = @survey.items.build(:questions_type => 3, :title => "Quels sont les thèmes que vous préférez ?", :item_type => 1)
    item.answers.build(:label_text => "oiseaux", :field_type => 1)
    item.answers.build(:label_text => "traces et indices", :field_type => 1)
    item.answers.build(:label_text => "mammifères", :field_type => 1)
    item.answers.build(:label_text => "flore", :field_type => 1)
    item.answers.build(:label_text => "jardin", :field_type => 1)
    item.answers.build(:label_text => "visite de site", :field_type => 1)
    item.answers.build(:label_text => "cabanes d’observation", :field_type => 1)
    item.answers.build(:label_text => "lecture de paysage", :field_type => 1)
  
  
    
    
    
    item = @survey.items.build(:questions_type => 2, :title => "Par quel(s) moyen(s) prenez-vous connaissance des sorties actuellement ?", :item_type => 1)

    
    
    @survey.items.build(:questions_type => 1, :title => "Êtes-vous satisfait de ce(s) mode(s) d’information(s) ?", :item_type => 1)
    
    
    
    
    item = @survey.items.build(:questions_type => 3, :title => "Comment aimeriez-vous être informé des sorties du Pic Vert ?", :item_type => 1)
    item.answers.build(:label_text => "mail", :field_type => 1)
    item.answers.build(:label_text => "agenda de La Plume", :field_type => 1)
    item.answers.build(:label_text => "agenda du site internet", :field_type => 1)
    item.answers.build(:label_text => "agenda spécial mensuel ou trimestriel à imprimer", :field_type => 1)
    item.answers.build(:label_text => "autres", :field_type => 2)
   

    @survey.items.build(:questions_type => 1, :title => "Souhaiteriez-vous faire du covoiturage pour vous rendre sur le lieu d'une sortie ?", :item_type => 1)
    
    
    item = @survey.items.build(:questions_type => 2, :text_presentation => 2, :title => "Avez-vous des remarques ou commentaires à faire à propos des sorties organisée par l’association ?", :item_type => 1)

   
    @survey.save
    
    
    
    @survey_set = @survey.to_survey_set
   
    
    
    @survey_set = @survey.to_survey_set
  end
  
  def edit 
    @survey_set = SurveySet.find(params[:id])
  end
  
  def create
    @survey_set = SurveySet.new(params[:survey_set])
    if @survey_set.save
      redirect_to thanks_survey_sets_path
    else
      render :action => :new
    end
  end
  
  def show
    @survey = SurveyType.find_by_slug(params[:slug])
  end
  
  def thanks
    
  end
end
